const express = require('express');
const app = express();

// Rota básica
app.get('/', (req, res) => {
    res.send('Página Inicial do seu aplicativo');
});

// Rota com parâmetro
app.get('/usuario/:id', (req, res) => {
    res.send('Página do usuário com ID: ' + req.params.id);
});

// Rota com múltiplos parâmetros
app.get('/livro/:bookId/capitulo/:chapterId', (req, res) => {
    res.send(`Lendo o capítulo ${req.params.chapterId} do livro ${req.params.bookId}`);
});

// Rota com query parameters
app.get('/busca', (req, res) => {
    let termo = req.query.termo || "Nenhum termo fornecido";
    res.send('Resultado da busca por: ' + termo);
});

// Como devemos configurar a porta para funcionar na Integrator Host
const PORT = process.env.PORT //aqui será a porta que o PM2 irá colocar
//const PORT = 3000;

// Iniciando o servidor
app.listen(PORT, () => {
    console.log(`Servidor rodando em porta:${PORT}`);
});
